Name: Fix browser bug that inhibits bookmarks displayed to delete or reorder. Now includes 99 bookmarks allowed patch
Version: 224-2240
Author: Dick99999, Pastorrich1 (99 patch)
Description: Patch to fix bug that causes bookmarks not to be displayed in browser preferences. That scene enables deletion or reordering of bookmarks. The patch includes the patch that increases  the limit of saved bookmarks to 99. Credits for that patch goto Pastorrich1

--- .orig/usr/palm/applications/com.palm.app.browser/app/controllers/bookmarks-assistant.js
+++ /usr/palm/applications/com.palm.app.browser/app/controllers/bookmarks-assistant.js
@@ -31,7 +31,8 @@
 						 listTemplate:'bookmarks/bookmarks-container',
 						 itemsCallback:this._retrieveItemsCallback.bind(this),
 						 swipeToDelete:true,
-						 reorderable:true});
+// =================================================== fix bookmark patch 1 line, part 1 of 2
+						 reorderable:true}, this.bookmarksModel);
 		this.bookmarksListWidget = this.controller.get('bookmarksList');
 
 		this._onListSelectionHandler = this._onListSelection.bind(this);
@@ -179,6 +180,9 @@
 		}
 
 		this.bookmarksListWidget.mojo.setLength(this.bookmarksModel.length);
+// =================================================== fix bookmark patch 2 lines, part 2 of 2
+		this.controller.setWidgetModel('bookmarksList', this.bookmarksModel)
+		this.controller.modelChanged(this.bookmarksModel, this);
 	}
 	finally {
 		this.usingBookmarksDb = false;
 		Name: Changes the maximum number of bookmarks tile pages in the browser start page to 99
Version: 224-2240
Author: Pastorrich1,Dick99999 (port)
Description: Description: Changes the maximum number of bookmarks tile pages in the browser start page to 99

--- .orig/usr/palm/applications/com.palm.app.browser/app/controllers/startpage-assistant.js
+++ /usr/palm/applications/com.palm.app.browser/app/controllers/startpage-assistant.js
@@ -9,7 +9,7 @@
 	this._destinationUrl = params.lastUrl;
 	this._orientation = params.orientation || 'up';
 	this._bookmarks = [];
-	this._maxShowCount = 12;
+	this._maxShowCount = 99;
 	this.store = new BookmarkStore();
 
 	this._onStartPageTapHandler = this._onStartPageTap.bind(this);
